## 第三章 R基础

根据初步了解的情况，目前我们单位使用R语言做数据分析的还不多，只有少部分在用。R给人的感觉是一门编程语言，既然是编程语言，对于普通的
科研工作者来说，似乎是高深莫测，这其实是一种误解。相对于图形界面的统计分析软件如spss、statistica甚至是常用的Excel，R的学习曲线是
最平缓的，使用也是最简单方便的。对于稍微复杂一点的数据分析，图形界面的一个窗体就能把你搞晕，而使用R只需要敲几个简单的命令就可以了。对想使用R又觉得R高大上高不可攀的同学，我只想告诉你们：R很强大，你值得拥有，R很简单，比你想象的要简单，你可以有。R的强大在于简单，因为简单，R才强大。

尽管觉得困难，还是有人愿意使用R，而对Git的热情似乎不高。因此我决定先从R开始讲起，然后再讲Git的事儿。

R是一种功能强大的变成语言，由Ross Ihaka和Robert Gentlemanl(Ihaka R. & Robert 1996. R: a language for data analisys and graphics. Journal of Computationnal and Graphical Statistics 5: 299-314), R是S语言具体实现,或者叫S语言的一种方言（dialect），S语言来自贝尔实验室。在科技界，R是作为一门统计工具为众多科研工作者所熟悉，虽然它的强大功能远不止如此。

R的强大源于其语言的简单和优雅，从R中我们能够看到Lisp语言的影子，其哲学基础与lisp如出一辙。R的强大还来源于它的背后是全球顶尖的统计学家和其他各领域的科学家。这些顶尖的科学家对R情有独钟，应用R完成他们的科学研究，同时为R贡献卓越的思想、方法和软件。在R的旗帜下，聚集了最先进的思想和最使用的工具。  

关于R有很多优秀的入门教程。为了节省时间，我将我所收集到的R教程的相关部分整合整理到一起，以便于初学者理解，并根据农业科研的实际情况
，加入农业试验统计中的数据和例子。文中可能大段引用原作者的内容，特此声明其版权属于原作者所有，本文作为学习R的读书笔记暂录于此，仅作为内部学习和交流只用，不会公开出版。大段摘录的部分，我会注明其出处。在此向原作者致敬，感谢他们的辛勤工作。

3.1 构建R工作环境

3.2 基本概念

3.3 数据和对象

3.4 绘图

3.5 数据分析

3.6 R编程

[>>> 构建R工作环境](workspace.md)

