### 工单系统的含义

工单系统（ticket system）又叫做工单管理系统、问题工单系统、事物工单系统、事务追踪系统（issue tracking system），支持工单系统（support ticket system），是一种用于维护和追踪问题（issue）的软件系统。git系统中对应的英文词汇是issue，及受到关注的及讨论的问题或议题。由于nu的工单不仅有问题讨论、任务委派、任务领受的功能，还有议题讨论、和软件系统参与完成的任务，因此在nu中，工单系统更多的被成为事务追踪系统。

### 工单表头

  - 组织：工单所属于的公司。
  - 工单代码及描述：标识工单的唯一代码和对工单的描述。
  - 问题：是什么问题（需求）导致了此工作单的产生，例如可能是设备损坏、设备故障等等。
  - 设备种类：此工单所涉及到的设备所属的类别。种类公司对设备的归类，便于管理。例如对同一型号或批次发动机归类，这非常有利于企业设备的管理。
  - 工作种类：指此工单属于那种工作范围。
  - 持续时间：指工单的有效期限（下达任务需在什么时间之前完成）。
  - 位置：指完成此工作所在的位置。
  - 状态：指例如工作申请、已下达、正在进行、已完成等等。

### 作业行
  
  - 作业代码：作业的作业号。
  - 工种：完成此作业的工种，工种是指执行维护工作的技能类型。
  - 任务：此作业需要执行的任务列表。
  - 物料表：包含在作业中的物料表，物料表涉及到完成此作业的物资需求。
  - 预计工时：完成工作的预计工时。
  - 开始日期：执行作业的开始日期。
  - 持续时间：作业的持续时间。
  - 雇佣人工：如果需要公司外部的资源来完成此作业，需要填写此内容列表。
  - 原因：此作业被创建的原因。
  - 已完成工作：已经执行的工作。
  - 技术故障：技术人员或供应商认为出现故障的原因。
  - 制造商：与作业设备关联的供应商或者制造商。
  - 作业备注：相关的说明。